summaryrefslogtreecommitdiffstats
path: root/jjb/csit/include-raw-csit-vpp-perf-mrr-daily.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/csit/include-raw-csit-vpp-perf-mrr-daily.sh')
-rw-r--r--jjb/csit/include-raw-csit-vpp-perf-mrr-daily.sh54
1 files changed, 0 insertions, 54 deletions
diff --git a/jjb/csit/include-raw-csit-vpp-perf-mrr-daily.sh b/jjb/csit/include-raw-csit-vpp-perf-mrr-daily.sh
deleted file mode 100644
index 32afbc793..000000000
--- a/jjb/csit/include-raw-csit-vpp-perf-mrr-daily.sh
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-# check BRANCH_ID value
-if [ "$BRANCH_ID" == "" ]; then
- echo "branch_id not provided => 'master' will be used"
- BRANCH_ID="master"
-fi
-
-# make sure there is no csit directory
-if [ -d "./csit/" ]; then
- rm -rf ./csit/
-fi
-
-# clone csit
-git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
-
-# if the git clone fails, complain clearly and exit
-if [ $? != 0 ]; then
- echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
- exit 1
-fi
-
-cd csit
-
-# get the latest verified version of the required branch
-BRANCH_NAME=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
-
-if [ "${BRANCH_NAME}" == "" ]; then
- echo "No verified version found for requested branch - exiting"
- exit 1
-fi
-
-# remove 'origin/' from the branch name
-BRANCH_NAME=$(echo ${BRANCH_NAME#origin/})
-
-# checkout to the required branch
-git checkout ${BRANCH_NAME}
-
-export TEST_TAG="PERFTEST_MRR_DAILY"
-
-# execute csit bootstrap script if it exists
-if [ -e bootstrap-verify-perf.sh ]
-then
- # make sure that bootstrap.sh is executable
- chmod +x bootstrap-verify-perf.sh
- # run the script
- ./bootstrap-verify-perf.sh
-else
- echo 'ERROR: No bootstrap-verify-perf.sh found'
- exit 1
-fi
-
-# vim: ts=4 ts=4 sts=4 et :